全景分割
POST /pano-segmentation
使用轮廓和掩模输出分割全景 X 射线图像中的牙齿结构,以进行详细的结构分析。

图像类型: 全景射线照片
标签: Segmentation Panoramic X-ray AI
请求参数
| 范围 | 类型 | 必需的 | 描述 |
|---|---|---|---|
PatientID | 细绳 | None | 唯一的患者标识符 |
TimeStamp | 细绳 | None | 分析会话时间戳 |
ImageName | 细绳 | None | 图像的完整 URL |
DrawContours | 布尔值 | None | 在输出上绘制轮廓轮廓 |
请求示例
curl -X POST \
https://api.annie-insights.com/api/v2/pano-segmentation \
-H "Content-Type: application/json" \
-H "x-api-key: YOUR_API_KEY" \
-d '{
"PatientID": "P-001",
"TimeStamp": "2026-05-24",
"ImageName": "https://example.com/panoramic.jpg",
"DrawContours": true
}'
响应样本
{
"Version": "2024.1.0",
"PatientID": "P-001",
"Results": {
"i1_lft_lo": {"missing": false, "points": [[494,241],[494,301],"..."]},
"m1_rgt_lo": {"missing": true, "points": [0,0]}
},
"OutputImageUrl": "https://annieapistorage.blob.core.windows.net/..."
}